Page MenuHomePhabricator

[clangd] Add documentation page
ClosedPublic

Authored by malaperle-ericsson on Apr 10 2017, 8:11 AM.

Details

Summary

Add a simple documentation page for Clangd.
This will be useful for interested users and contributors to get basic information about how
to get started and the progress of Clangd.

Event Timeline

malaperle-ericsson edited the summary of this revision. (Show Details)Apr 10 2017, 8:12 AM
malaperle-ericsson set the repository for this revision to rL LLVM.
malaperle-ericsson added a project: Restricted Project.
malaperle-ericsson added a subscriber: cfe-commits.

Maybe this is a good time to decide ClangD, Clangd, or clangd is the correct capitalization.

kromanenkov added inline comments.
docs/clangd.rst
11

s/Languge/Language

17

s/developpers/developers

35

s/satus/status

94

s/Languge/Language

JonasToth added inline comments.
docs/clangd.rst
17

maybe there should be special highlighting to Clangd here and elsewhere?

24

maybe remove the you can. The sentence is still valid without the repetition.

malaperle-ericsson marked 6 inline comments as done.

Fixed typos and other comments.

Sorry about all the typos. I have now installed a spell checked in VS Code :)

mgehre added a subscriber: mgehre.Apr 12 2017, 3:11 PM
mgehre added inline comments.
docs/clangd.rst
29

In the reference, it is called "extra Clang tools".

malaperle-ericsson marked an inline comment as done.Apr 12 2017, 9:30 PM

Fix mention of "extra Clang tools"

Great to see this coming along!

docs/clangd.rst
11

s/clangd/Clangd

11

Reflow text to 80 columns

21

Spurious backticks

23

Spurious backtick

34

Spurious backtick

36

Spurious backtick

38

Spurious backtick

92

:program:Clangd

95

:program:Clangd

malaperle-ericsson marked 9 inline comments as done.Apr 16 2017, 12:58 PM
malaperle-ericsson removed a subscriber: Sarcasm.

Update with comments (extra backticks, etc)

jbcoe added a subscriber: jbcoe.Apr 19 2017, 5:19 AM

Ping. Any more objections?

Looks good, nothing to add from my side.

Would it be possible to commit this? I do not have commit rights. Thanks!

Prazek added a subscriber: Prazek.Apr 28 2017, 7:10 AM

Would it be possible to commit this? I do not have commit rights. Thanks!

Why won't you get commit right? You will probably make some other contribution to clangd, so it will be handy to have it :)

Would it be possible to commit this? I do not have commit rights. Thanks!

Why won't you get commit right? You will probably make some other contribution to clangd, so it will be handy to have it :)

I wasn't sure at what moment it was appropriate to ask for commit rights. I just sent the request for it :)

krasimir accepted this revision.May 3 2017, 8:36 AM

Looks good! Thank you!

This revision is now accepted and ready to land.May 3 2017, 8:36 AM